package com.sifang.modules.supply.warehouse.vo;

import com.sifang.modules.sys.util.excel.ExcelField;

import javax.persistence.ManyToOne;
import java.math.BigDecimal;
import java.util.Date;

public class AllocationOrderExcel {

    private String sort;

    private String code;

    private String status;

    private String out_name;

    private String warehouse_name;

    private String in_name;
    private String in_warehouse_name;
    private String  remarks;
    private Date create_time;

    private Date out_time;

    private Date in_time;

    private Date audit_time;
    private String material_code;

    private String material_type;

    private String material_group;

    private String material_unit;
    private String material_remark;

    private BigDecimal amount;

    private BigDecimal inout_amount;

    @ManyToOne
    @ExcelField(title="排序", align=2, sort=10)
    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    @ManyToOne
    @ExcelField(title="订单编号", align=2, sort=20)
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @ManyToOne
    @ExcelField(title="调拨状态", align=2, sort=30)
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @ManyToOne
    @ExcelField(title="调出方", align=2, sort=40)
    public String getOut_name() {
        return out_name;
    }

    public void setOut_name(String out_name) {
        this.out_name = out_name;
    }

    @ManyToOne
    @ExcelField(title="调出仓库", align=2, sort=50)
    public String getWarehouse_name() {
        return warehouse_name;
    }

    public void setWarehouse_name(String warehouse_name) {
        this.warehouse_name = warehouse_name;
    }

    @ManyToOne
    @ExcelField(title="调入方", align=2, sort=60)
    public String getIn_name() {
        return in_name;
    }


    public void setIn_name(String in_name) {
        this.in_name = in_name;
    }

    @ManyToOne
    @ExcelField(title="调入仓库", align=2, sort=70)
    public String getIn_warehouse_name() {
        return in_warehouse_name;
    }

    public void setIn_warehouse_name(String in_warehouse_name) {
        this.in_warehouse_name = in_warehouse_name;
    }

    @ManyToOne
    @ExcelField(title="调拨备注", align=2, sort=80)
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @ManyToOne
    @ExcelField(title="调拨时间", align=2, sort=90)
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @ManyToOne
    @ExcelField(title="出库时间", align=2, sort=100)
    public Date getOut_time() {
        return out_time;
    }

    public void setOut_time(Date out_time) {
        this.out_time = out_time;
    }

    @ManyToOne
    @ExcelField(title="入库时间", align=2, sort=110)
    public Date getIn_time() {
        return in_time;
    }

    public void setIn_time(Date in_time) {
        this.in_time = in_time;
    }

    @ManyToOne
    @ExcelField(title="审核时间", align=2, sort=120)
    public Date getAudit_time() {
        return audit_time;
    }

    public void setAudit_time(Date audit_time) {
        this.audit_time = audit_time;
    }

    @ManyToOne
    @ExcelField(title="物料代码", align=2, sort=130)
    public String getMaterial_code() {
        return material_code;
    }

    public void setMaterial_code(String material_code) {
        this.material_code = material_code;
    }

    @ManyToOne
    @ExcelField(title="物料类型", align=2, sort=140)
    public String getMaterial_type() {
        return material_type;
    }

    public void setMaterial_type(String material_type) {
        this.material_type = material_type;
    }

    @ManyToOne
    @ExcelField(title="物料组", align=2, sort=150)
    public String getMaterial_group() {
        return material_group;
    }

    public void setMaterial_group(String material_group) {
        this.material_group = material_group;
    }

    @ManyToOne
    @ExcelField(title="物料单位", align=2, sort=160)
    public String getMaterial_unit() {
        return material_unit;
    }

    public void setMaterial_unit(String material_unit) {
        this.material_unit = material_unit;
    }

    @ManyToOne
    @ExcelField(title="物料描述", align=2, sort=170)
    public String getMaterial_remark() {
        return material_remark;
    }

    public void setMaterial_remark(String material_remark) {
        this.material_remark = material_remark;
    }

    @ManyToOne
    @ExcelField(title="下单数量", align=2, sort=180)
    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
    @ManyToOne
    @ExcelField(title="实际调拨数量", align=2, sort=190)
    public BigDecimal getInout_amount() {
        return inout_amount;
    }

    public void setInout_amount(BigDecimal inout_amount) {
        this.inout_amount = inout_amount;
    }
}
